### MuseScore

#### Methods

Ms::Score newScore(const QString& name, const QString& part, int measures)
Ms::Element newElement(int)
void cmd(const QString&)
Ms::MsProcess newQProcess()
bool writeScore(Ms::Score*, const QString& name, const QString& ext)
Ms::Score readScore(const QString& name, bool noninteractive = false)
void closeScore(Ms::Score*)

#### Properties

menuPath | QString | where the plugin is placed in menu
filePath | QString | source file path, without the file name (read only)
version | QString |
description | QString |
pluginType | QString |
dockArea | QString |
division | int | number of MIDI ticks for 1/4 note (read only)
mscoreVersion | int | complete version number of MuseScore in the form: MMmmuu (read only)
mscoreMajorVersion | int | 1st part of the MuseScore version (read only)
mscoreMinorVersion | int | 2nd part of the MuseScore version (read only)
mscoreUpdateVersion | int | 3rd part of the MuseScore version (read only)
mscoreDPI | qreal | (read only)
curScore | Ms::Score* | current score, if any (read only)
scores | array[Ms::Score] | all currently open scores (read only)